/* MC9S08PB16RM Rev. 0, 01/2019 */

#include <mc9s08pb16.h>

/*lint -save -esym(765, *) */

/* * * * *  8-BIT REGISTERS  * * * * * * * * * * * * * * * */
volatile PORT_PTADSTR              _PORT_PTAD;          /*** PORT_PTAD Port A Data Register; 0x00000000 ***/
volatile PORT_PTBDSTR              _PORT_PTBD;          /*** PORT_PTBD Port B Data Register; 0x00000001 ***/
volatile PORT_PTCDSTR              _PORT_PTCD;          /*** PORT_PTCD Port C Data Register; 0x00000002 ***/
volatile ADC_SC1STR                _ADC_SC1;            /*** ADC_SC1 Status and Control Register 1; 0x00000010 ***/
volatile ADC_SC2STR                _ADC_SC2;            /*** ADC_SC2 Status and Control Register 2; 0x00000011 ***/
volatile ADC_SC3STR                _ADC_SC3;            /*** ADC_SC3 Status and Control Register 3; 0x00000012 ***/
volatile ADC_SC4STR                _ADC_SC4;            /*** ADC_SC4 Status and Control Register 4; 0x00000013 ***/
volatile MTIM0_SCSTR               _MTIM0_SC;           /*** MTIM0_SC MTIM Status and Control Register; 0x00000018 ***/
volatile MTIM0_CLKSTR              _MTIM0_CLK;          /*** MTIM0_CLK MTIM Clock Configuration Register; 0x00000019 ***/
volatile MTIM0_CNTSTR              _MTIM0_CNT;          /*** MTIM0_CNT MTIM Counter Register; 0x0000001A ***/
volatile MTIM0_MODSTR              _MTIM0_MOD;          /*** MTIM0_MOD MTIM Modulo Register; 0x0000001B ***/
volatile MTIM1_SCSTR               _MTIM1_SC;           /*** MTIM1_SC MTIM Status and Control Register; 0x0000001C ***/
volatile MTIM1_CLKSTR              _MTIM1_CLK;          /*** MTIM1_CLK MTIM Clock Configuration Register; 0x0000001D ***/
volatile MTIM1_CNTSTR              _MTIM1_CNT;          /*** MTIM1_CNT MTIM Counter Register; 0x0000001E ***/
volatile MTIM1_MODSTR              _MTIM1_MOD;          /*** MTIM1_MOD MTIM Modulo Register; 0x0000001F ***/
volatile FTM0_SCSTR                _FTM0_SC;            /*** FTM0_SC Status and Control; 0x00000020 ***/
volatile FTM0_C0SCSTR              _FTM0_C0SC;          /*** FTM0_C0SC Channel Status and Control; 0x00000025 ***/
volatile FTM0_C1SCSTR              _FTM0_C1SC;          /*** FTM0_C1SC Channel Status and Control; 0x00000028 ***/
volatile ACMP0_CSSTR               _ACMP0_CS;           /*** ACMP0_CS ACMP Control and Status Register; 0x0000002C ***/
volatile ACMP0_C0STR               _ACMP0_C0;           /*** ACMP0_C0 ACMP Control Register 0; 0x0000002D ***/
volatile ACMP0_C1STR               _ACMP0_C1;           /*** ACMP0_C1 ACMP Control Register 1; 0x0000002E ***/
volatile ACMP0_C2STR               _ACMP0_C2;           /*** ACMP0_C2 ACMP Control Register 2; 0x0000002F ***/
volatile IRQ_SCSTR                 _IRQ_SC;             /*** IRQ_SC Interrupt Pin Request Status and Control Register; 0x0000003B ***/
volatile KBI0_SCSTR                _KBI0_SC;            /*** KBI0_SC KBI Status and Control Register; 0x0000003C ***/
volatile IPC_SCSTR                 _IPC_SC;             /*** IPC_SC IPC Status and Control Register; 0x0000003E ***/
volatile IPC_IPMPSSTR              _IPC_IPMPS;          /*** IPC_IPMPS Interrupt Priority Mask Pseudo Stack Register; 0x0000003F ***/
volatile SYS_SRSSTR                _SYS_SRS;            /*** SYS_SRS System Reset Status Register; 0x00003000 ***/
volatile SYS_SBDFRSTR              _SYS_SBDFR;          /*** SYS_SBDFR System Background Debug Force Reset Register; 0x00003001 ***/
volatile SYS_SOPT1STR              _SYS_SOPT1;          /*** SYS_SOPT1 System Options Register 1; 0x00003004 ***/
volatile SYS_SOPT2STR              _SYS_SOPT2;          /*** SYS_SOPT2 System Options Register 2; 0x00003005 ***/
volatile SYS_SOPT3STR              _SYS_SOPT3;          /*** SYS_SOPT3 System Options Register 3; 0x00003006 ***/
volatile SYS_SOPT4STR              _SYS_SOPT4;          /*** SYS_SOPT4 System Options Register 4; 0x00003007 ***/
volatile SYS_SOPT5STR              _SYS_SOPT5;          /*** SYS_SOPT5 System Options Register 5; 0x00003008 ***/
volatile SYS_SOPT6STR              _SYS_SOPT6;          /*** SYS_SOPT6 System Options Register 6; 0x00003009 ***/
volatile SYS_SOPT7STR              _SYS_SOPT7;          /*** SYS_SOPT7 System Options Register 7; 0x0000300A ***/
volatile SYS_SOPT8STR              _SYS_SOPT8;          /*** SYS_SOPT8 System Options Register 8; 0x0000300B ***/
volatile SYS_SCGC1STR              _SYS_SCGC1;          /*** SYS_SCGC1 System Clock Gating Control 1 Register; 0x0000300C ***/
volatile SYS_SCGC2STR              _SYS_SCGC2;          /*** SYS_SCGC2 System Clock Gating Control 2 Register; 0x0000300D ***/
volatile SYS_SCGC3STR              _SYS_SCGC3;          /*** SYS_SCGC3 System Clock Gating Control 3 Register; 0x0000300E ***/
volatile SYS_SCGC4STR              _SYS_SCGC4;          /*** SYS_SCGC4 System Clock Gating Control 2 Register; 0x0000300F ***/
volatile DBG_CAXSTR                _DBG_CAX;            /*** DBG_CAX Debug Comparator A Extension Register; 0x00003018 ***/
volatile DBG_CBXSTR                _DBG_CBX;            /*** DBG_CBX Debug Comparator B Extension Register; 0x00003019 ***/
volatile DBG_CCXSTR                _DBG_CCX;            /*** DBG_CCX Debug Comparator C Extension Register; 0x0000301A ***/
volatile DBG_FXSTR                 _DBG_FX;             /*** DBG_FX Debug FIFO Extended Information Register; 0x0000301B ***/
volatile DBG_CSTR                  _DBG_C;              /*** DBG_C Debug Control Register; 0x0000301C ***/
volatile DBG_TSTR                  _DBG_T;              /*** DBG_T Debug Trigger Register; 0x0000301D ***/
volatile DBG_SSTR                  _DBG_S;              /*** DBG_S Debug Status Register; 0x0000301E ***/
volatile DBG_CNTSTR                _DBG_CNT;            /*** DBG_CNT Debug Count Status Register; 0x0000301F ***/
volatile FTMRH_FCLKDIVSTR          _FTMRH_FCLKDIV;      /*** FTMRH_FCLKDIV Flash Clock Divider Register; 0x00003020 ***/
volatile FTMRH_FSECSTR             _FTMRH_FSEC;         /*** FTMRH_FSEC Flash Security Register; 0x00003021 ***/
volatile FTMRH_FCCOBIXSTR          _FTMRH_FCCOBIX;      /*** FTMRH_FCCOBIX Flash CCOB Index Register; 0x00003022 ***/
volatile FTMRH_FCNFGSTR            _FTMRH_FCNFG;        /*** FTMRH_FCNFG Flash Configuration Register; 0x00003024 ***/
volatile FTMRH_FSTATSTR            _FTMRH_FSTAT;        /*** FTMRH_FSTAT Flash Status Register; 0x00003026 ***/
volatile FTMRH_FPROTSTR            _FTMRH_FPROT;        /*** FTMRH_FPROT Flash Protection Register; 0x00003028 ***/
volatile FTMRH_FCCOBHISTR          _FTMRH_FCCOBHI;      /*** FTMRH_FCCOBHI Flash Common Command Object Register:High; 0x0000302A ***/
volatile FTMRH_FCCOBLOSTR          _FTMRH_FCCOBLO;      /*** FTMRH_FCCOBLO Flash Common Command Object Register: Low; 0x0000302B ***/
volatile FTMRH_FOPTSTR             _FTMRH_FOPT;         /*** FTMRH_FOPT Flash Option Register; 0x0000302C ***/
volatile PWT_CSSTR                 _PWT_CS;             /*** PWT_CS Pulse Width Timer Control and Status Register; 0x00003030 ***/
volatile PWT_CRSTR                 _PWT_CR;             /*** PWT_CR Pulse Width Timer Control Register; 0x00003031 ***/
volatile ICS_C1STR                 _ICS_C1;             /*** ICS_C1 ICS Control Register 1; 0x00003038 ***/
volatile ICS_C2STR                 _ICS_C2;             /*** ICS_C2 ICS Control Register 2; 0x00003039 ***/
volatile ICS_C3STR                 _ICS_C3;             /*** ICS_C3 ICS Control Register 3; 0x0000303A ***/
volatile ICS_C4STR                 _ICS_C4;             /*** ICS_C4 ICS Control Register 4; 0x0000303B ***/
volatile ICS_SSTR                  _ICS_S;              /*** ICS_S ICS Status Register; 0x0000303C ***/
volatile OSC_CRSTR                 _OSC_CR;             /*** OSC_CR OSC Control Register; 0x0000303E ***/
volatile PMC_SPMSC1STR             _PMC_SPMSC1;         /*** PMC_SPMSC1 System Power Management Status and Control 1 Register; 0x00003040 ***/
volatile PMC_SPMSC2STR             _PMC_SPMSC2;         /*** PMC_SPMSC2 System Power Management Status and Control 2 Register; 0x00003041 ***/
volatile IPC_ILRS0STR              _IPC_ILRS0;          /*** IPC_ILRS0 Interrupt Level Setting Registers n; 0x00003050 ***/
volatile IPC_ILRS1STR              _IPC_ILRS1;          /*** IPC_ILRS1 Interrupt Level Setting Registers n; 0x00003051 ***/
volatile IPC_ILRS2STR              _IPC_ILRS2;          /*** IPC_ILRS2 Interrupt Level Setting Registers n; 0x00003052 ***/
volatile IPC_ILRS3STR              _IPC_ILRS3;          /*** IPC_ILRS3 Interrupt Level Setting Registers n; 0x00003053 ***/
volatile IPC_ILRS4STR              _IPC_ILRS4;          /*** IPC_ILRS4 Interrupt Level Setting Registers n; 0x00003054 ***/
volatile IPC_ILRS5STR              _IPC_ILRS5;          /*** IPC_ILRS5 Interrupt Level Setting Registers n; 0x00003055 ***/
volatile IPC_ILRS6STR              _IPC_ILRS6;          /*** IPC_ILRS6 Interrupt Level Setting Registers n; 0x00003056 ***/
volatile IPC_ILRS7STR              _IPC_ILRS7;          /*** IPC_ILRS7 Interrupt Level Setting Registers n; 0x00003057 ***/
volatile IPC_ILRS8STR              _IPC_ILRS8;          /*** IPC_ILRS8 Interrupt Level Setting Registers n; 0x00003058 ***/
volatile IPC_ILRS9STR              _IPC_ILRS9;          /*** IPC_ILRS9 Interrupt Level Setting Registers n; 0x00003059 ***/
volatile ACMP1_CSSTR               _ACMP1_CS;           /*** ACMP1_CS ACMP Control and Status Register; 0x0000305C ***/
volatile ACMP1_C0STR               _ACMP1_C0;           /*** ACMP1_C0 ACMP Control Register 0; 0x0000305D ***/
volatile ACMP1_C1STR               _ACMP1_C1;           /*** ACMP1_C1 ACMP Control Register 1; 0x0000305E ***/
volatile ACMP1_C2STR               _ACMP1_C2;           /*** ACMP1_C2 ACMP Control Register 2; 0x0000305F ***/
volatile CRC_D0STR                 _CRC_D0;             /*** CRC_D0 CRC Data 0 Register; 0x00003060 ***/
volatile CRC_D1STR                 _CRC_D1;             /*** CRC_D1 CRC Data 1 Register; 0x00003061 ***/
volatile CRC_D2STR                 _CRC_D2;             /*** CRC_D2 CRC Data 2 Register; 0x00003062 ***/
volatile CRC_D3STR                 _CRC_D3;             /*** CRC_D3 CRC Data 3 Register; 0x00003063 ***/
volatile CRC_P0STR                 _CRC_P0;             /*** CRC_P0 CRC Polynomial 0 Register; 0x00003064 ***/
volatile CRC_P1STR                 _CRC_P1;             /*** CRC_P1 CRC Polynomial 1 Register; 0x00003065 ***/
volatile CRC_P2STR                 _CRC_P2;             /*** CRC_P2 CRC Polynomial 2 Register; 0x00003066 ***/
volatile CRC_P3STR                 _CRC_P3;             /*** CRC_P3 CRC Polynomial 3 Register; 0x00003067 ***/
volatile CRC_CTRLSTR               _CRC_CTRL;           /*** CRC_CTRL CRC Control Register; 0x00003068 ***/
volatile RTC_SC1STR                _RTC_SC1;            /*** RTC_SC1 RTC Status and Control Register 1; 0x0000306A ***/
volatile RTC_SC2STR                _RTC_SC2;            /*** RTC_SC2 RTC Status and Control Register 2; 0x0000306B ***/
volatile I2C_A1STR                 _I2C_A1;             /*** I2C_A1 I2C Address Register 1; 0x00003070 ***/
volatile I2C_FSTR                  _I2C_F;              /*** I2C_F I2C Frequency Divider register; 0x00003071 ***/
volatile I2C_C1STR                 _I2C_C1;             /*** I2C_C1 I2C Control Register 1; 0x00003072 ***/
volatile I2C_SSTR                  _I2C_S;              /*** I2C_S I2C Status register; 0x00003073 ***/
volatile I2C_DSTR                  _I2C_D;              /*** I2C_D I2C Data I/O register; 0x00003074 ***/
volatile I2C_C2STR                 _I2C_C2;             /*** I2C_C2 I2C Control Register 2; 0x00003075 ***/
volatile I2C_FLTSTR                _I2C_FLT;            /*** I2C_FLT I2C; 0x00003076 ***/
volatile I2C_RASTR                 _I2C_RA;             /*** I2C_RA I2C Range Address register; 0x00003077 ***/
volatile I2C_SMBSTR                _I2C_SMB;            /*** I2C_SMB I2C SMBus Control and Status register; 0x00003078 ***/
volatile I2C_A2STR                 _I2C_A2;             /*** I2C_A2 I2C Address Register 2; 0x00003079 ***/
volatile KBI0_PESTR                _KBI0_PE;            /*** KBI0_PE KBI Pin Enable Register; 0x0000307C ***/
volatile KBI0_ESSTR                _KBI0_ES;            /*** KBI0_ES KBI Edge Select Register; 0x0000307D ***/
volatile SCI0_C1STR                _SCI0_C1;            /*** SCI0_C1 SCI; 0x00003082 ***/
volatile SCI0_C2STR                _SCI0_C2;            /*** SCI0_C2 SCI; 0x00003083 ***/
volatile SCI0_S1STR                _SCI0_S1;            /*** SCI0_S1 SCI; 0x00003084 ***/
volatile SCI0_S2STR                _SCI0_S2;            /*** SCI0_S2 SCI; 0x00003085 ***/
volatile SCI0_C3STR                _SCI0_C3;            /*** SCI0_C3 SCI; 0x00003086 ***/
volatile SCI0_DSTR                 _SCI0_D;             /*** SCI0_D SCI; 0x00003087 ***/
volatile ADC_APCTL1STR             _ADC_APCTL1;         /*** ADC_APCTL1 Pin Control 1 Register; 0x000030AC ***/
volatile ADC_APCTL2STR             _ADC_APCTL2;         /*** ADC_APCTL2 Pin Control 2 Register; 0x000030AD ***/
volatile PORT_PTAOESTR             _PORT_PTAOE;         /*** PORT_PTAOE Port A Output Enable Register; 0x000030B0 ***/
volatile PORT_PTBOESTR             _PORT_PTBOE;         /*** PORT_PTBOE Port B Output Enable Register; 0x000030B1 ***/
volatile PORT_PTCOESTR             _PORT_PTCOE;         /*** PORT_PTCOE Port C Output Enable Register; 0x000030B2 ***/
volatile PORT_PTAIESTR             _PORT_PTAIE;         /*** PORT_PTAIE Port A Input Enable Register; 0x000030B8 ***/
volatile PORT_PTBIESTR             _PORT_PTBIE;         /*** PORT_PTBIE Port B Input Enable Register; 0x000030B9 ***/
volatile PORT_PTCIESTR             _PORT_PTCIE;         /*** PORT_PTCIE Port C Input Enable Register; 0x000030BA ***/
volatile FTM2_SCSTR                _FTM2_SC;            /*** FTM2_SC Status and Control; 0x000030C0 ***/
volatile FTM2_C0SCSTR              _FTM2_C0SC;          /*** FTM2_C0SC Channel Status and Control; 0x000030C5 ***/
volatile FTM2_C1SCSTR              _FTM2_C1SC;          /*** FTM2_C1SC Channel Status and Control; 0x000030C8 ***/
volatile FTM2_C2SCSTR              _FTM2_C2SC;          /*** FTM2_C2SC Channel Status and Control; 0x000030CB ***/
volatile FTM2_C3SCSTR              _FTM2_C3SC;          /*** FTM2_C3SC Channel Status and Control; 0x000030CE ***/
volatile FTM2_C4SCSTR              _FTM2_C4SC;          /*** FTM2_C4SC Channel Status and Control; 0x000030D1 ***/
volatile FTM2_C5SCSTR              _FTM2_C5SC;          /*** FTM2_C5SC Channel Status and Control; 0x000030D4 ***/
volatile FDS_CSSTR                 _FDS_CS;             /*** FDS_CS FDS Control and Status Register; 0x000030DD ***/
volatile FDS_INESTR                _FDS_INE;            /*** FDS_INE FDS Input Enable Register; 0x000030DE ***/
volatile FDS_PCESTR                _FDS_PCE;            /*** FDS_PCE FDS Pin Configuration Enable Register; 0x000030DF ***/
volatile FDS_PCDSTR                _FDS_PCD;            /*** FDS_PCD FDS Pin Configuration Direction Register (FDSPCD); 0x000030E0 ***/
volatile FDS_PCVSTR                _FDS_PCV;            /*** FDS_PCV FDS Pin Configuration Value Register; 0x000030E1 ***/
volatile FDS_INLSTR                _FDS_INL;            /*** FDS_INL FDS Input Latched Register; 0x000030E2 ***/
volatile PORT_IOFLT0STR            _PORT_IOFLT0;        /*** PORT_IOFLT0 Port Filter Register 0; 0x000030EC ***/
volatile PORT_IOFLT2STR            _PORT_IOFLT2;        /*** PORT_IOFLT2 Port Filter Register 2; 0x000030EE ***/
volatile PORT_FCLKDIVSTR           _PORT_FCLKDIV;       /*** PORT_FCLKDIV Port Clock Division Register; 0x000030EF ***/
volatile PORT_PTAPESTR             _PORT_PTAPE;         /*** PORT_PTAPE Port A Pullup Enable Register; 0x000030F0 ***/
volatile PORT_PTBPESTR             _PORT_PTBPE;         /*** PORT_PTBPE Port B Pullup Enable Register; 0x000030F1 ***/
volatile PORT_PTCPESTR             _PORT_PTCPE;         /*** PORT_PTCPE Port C Pullup Enable Register; 0x000030F2 ***/
volatile SYS_UUID1STR              _SYS_UUID1;          /*** SYS_UUID1 Universally Unique Identifier Register 1; 0x000030F8 ***/
volatile SYS_UUID2STR              _SYS_UUID2;          /*** SYS_UUID2 Universally Unique Identifier Register 2; 0x000030F9 ***/
volatile SYS_UUID3STR              _SYS_UUID3;          /*** SYS_UUID3 Universally Unique Identifier Register 3; 0x000030FA ***/
volatile SYS_UUID4STR              _SYS_UUID4;          /*** SYS_UUID4 Universally Unique Identifier Register 4; 0x000030FB ***/
volatile SYS_UUID5STR              _SYS_UUID5;          /*** SYS_UUID5 Universally Unique Identifier Register 5; 0x000030FC ***/
volatile SYS_UUID6STR              _SYS_UUID6;          /*** SYS_UUID6 Universally Unique Identifier Register 6; 0x000030FD ***/
volatile SYS_UUID7STR              _SYS_UUID7;          /*** SYS_UUID7 Universally Unique Identifier Register 7; 0x000030FE ***/
volatile SYS_UUID8STR              _SYS_UUID8;          /*** SYS_UUID8 Universally Unique Identifier Register 8; 0x000030FF ***/

/* * * * *  16-BIT REGISTERS  * * * * * * * * * * * * * * * */
volatile ADC_RSTR                  _ADC_R;              /*** ADC_R Conversion Result Register; 0x00000014 ***/
volatile ADC_CVSTR                 _ADC_CV;             /*** ADC_CV Compare Value Register; 0x00000016 ***/
volatile FTM0_CNTSTR               _FTM0_CNT;           /*** FTM0_CNT Counter  0x00000021 ***/
volatile FTM0_MODSTR               _FTM0_MOD;           /*** FTM0_MOD Modulo  0x00000023 ***/
volatile FTM0_C0VSTR               _FTM0_C0V;           /*** FTM0_C0V Channel Value  0x00000026 ***/
volatile FTM0_C1VSTR               _FTM0_C1V;           /*** FTM0_C1V Channel Value  0x00000029 ***/
volatile SYS_SDIDSTR               _SYS_SDID;           /*** SYS_SDID System Device Identification Register:  0x00003002 ***/
volatile DBG_CASTR                 _DBG_CA;             /*** DBG_CA Debug Comparator A Register; 0x00003010 ***/
volatile DBG_CBSTR                 _DBG_CB;             /*** DBG_CB Debug Comparator B Register; 0x00003012 ***/
volatile DBG_CCSTR                 _DBG_CC;             /*** DBG_CC Debug Comparator C Register; 0x00003014 ***/
volatile DBG_FSTR                  _DBG_F;              /*** DBG_F Debug FIFO Register; 0x00003016 ***/
volatile PWT_PPSTR                 _PWT_PP;             /*** PWT_PP Pulse Width Timer Positive Pulse Width Register:  0x00003032 ***/
volatile PWT_NPSTR                 _PWT_NP;             /*** PWT_NP Pulse Width Timer Negative Pulse Width Register:  0x00003034 ***/
volatile PWT_CNTSTR                _PWT_CNT;            /*** PWT_CNT Pulse Width Timer Counter Register:  0x00003036 ***/
volatile SYS_ILLASTR               _SYS_ILLA;           /*** SYS_ILLA Illegal Address Register:  0x0000304A ***/
volatile RTC_MODSTR                _RTC_MOD;            /*** RTC_MOD RTC Modulo Register:  0x0000306C ***/
volatile RTC_CNTSTR                _RTC_CNT;            /*** RTC_CNT RTC Counter Register:  0x0000306E ***/
volatile I2C_SLTSTR                _I2C_SLT;            /*** I2C_SLT I2C SCL Low Timeout Register  0x0000307A ***/
volatile SCI0_BDSTR                _SCI0_BD;            /*** SCI0_BD SCI; 0x00003080 ***/
volatile FTM2_CNTSTR               _FTM2_CNT;           /*** FTM2_CNT Counter  0x000030C1 ***/
volatile FTM2_MODSTR               _FTM2_MOD;           /*** FTM2_MOD Modulo  0x000030C3 ***/
volatile FTM2_C0VSTR               _FTM2_C0V;           /*** FTM2_C0V Channel Value  0x000030C6 ***/
volatile FTM2_C1VSTR               _FTM2_C1V;           /*** FTM2_C1V Channel Value  0x000030C9 ***/
volatile FTM2_C2VSTR               _FTM2_C2V;           /*** FTM2_C2V Channel Value  0x000030CC ***/
volatile FTM2_C3VSTR               _FTM2_C3V;           /*** FTM2_C3V Channel Value  0x000030CF ***/
volatile FTM2_C4VSTR               _FTM2_C4V;           /*** FTM2_C4V Channel Value  0x000030D2 ***/
volatile FTM2_C5VSTR               _FTM2_C5V;           /*** FTM2_C5V Channel Value  0x000030D5 ***/


/*lint -restore */
